Package org.apache.sysds.runtime.ooc.cache.io

# Class OOCIOHandler.SourceBlockDescriptor

java.lang.Object
org.apache.sysds.runtime.ooc.cache.io.OOCIOHandler.SourceBlockDescriptor

Direct Known Subclasses:
  `OOCIOHandler.GroupSourceBlockDescriptor`

Enclosing interface:
  OOCIOHandler

public static class OOCIOHandler.SourceBlockDescriptor extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final Types.FileFormat`
`format`
`final MatrixIndexes`
`indexes`
`final long`
`offset`
`final String`
`path`
`final int`
`recordLength`
`final long`
`serializedSize`

## Constructor Summary

Constructors
Constructor
Description
`SourceBlockDescriptor(String path, Types.FileFormat format, MatrixIndexes indexes, long offset, int recordLength, long serializedSize)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### path

public final String path

### format

public final Types.FileFormat format

### indexes

public final MatrixIndexes indexes

### offset

public final long offset

### recordLength

public final int recordLength

### serializedSize

public final long serializedSize

## Constructor Details

### SourceBlockDescriptor

public SourceBlockDescriptor(String path, Types.FileFormat format, MatrixIndexes indexes, long offset, int recordLength, long serializedSize)